Bug 1420725 - [LiveCD] loss of network connectivity in virtual machine running current Fedora 25
Summary: [LiveCD] loss of network connectivity in virtual machine running current Fedo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: LiveCD
Version: 25
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-09 12:07 UTC by Joachim Frieben
Modified: 2017-02-11 14:56 UTC (History)
7 users (show)

Fixed In Version: F25-WORK-x86_64-20170210
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-11 14:56:51 UTC
Type: Bug


Attachments (Terms of Use)

Description Joachim Frieben 2017-02-09 12:07:39 UTC
Description of problem:
After installing a Fedora 25 virtual guest on a Fedora 25 host system using the latest live image F25-WORK-x86_64-20170202, network appears to be up and running. After installing all available latest updates, however, and rebooting the virtual machine, name resolution is lost. What is puzzling is that running 'ifconfig' returns a different setup after updating the virtual machine. Right after installing the virtual machine, 'ifconfig' returns:

ens3: flags=4163<UP,BROADCAST,RUNNING,MULTICAST>  mtu 1500
        inet 192.168.122.179  netmask 255.255.255.0  broadcast 192.168.122.255
        inet6 fe80::65d:53cf:7acd:f2bb  prefixlen 64  scopeid 0x20<link>
        ether 52:54:00:96:89:1e  txqueuelen 1000  (Ethernet)
        RX packets 50124  bytes 73813402 (70.3 MiB)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 23684  bytes 1436586 (1.3 MiB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 118227

lo: flags=73<UP,LOOPBACK,RUNNING>  mtu 65536
        inet 127.0.0.1  netmask 255.0.0.0
        inet6 ::1  prefixlen 128  scopeid 0x10<host>
        loop  txqueuelen 1  (Local Loopback)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

However, after updating the virtual machine, 'ifconfig' returns:

ens3: flags=4163<UP,BROADCAST,RUNNING,MULTICAST>  mtu 1500
        inet 192.168.122.179  netmask 255.255.255.0  broadcast 192.168.122.255
        inet6 fe80::65d:53cf:7acd:f2bb  prefixlen 64  scopeid 0x20<link>
        ether 52:54:00:96:89:1e  txqueuelen 1000  (Ethernet)
        RX packets 12  bytes 2036 (1.9 KiB)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 47  bytes 5729 (5.5 KiB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 138

lo: flags=73<UP,LOOPBACK,RUNNING>  mtu 65536
        inet 127.0.0.1  netmask 255.0.0.0
        inet6 ::1  prefixlen 128  scopeid 0x10<host>
        loop  txqueuelen 1  (Local Loopback)
        RX packets 160  bytes 11552 (11.2 KiB)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 160  bytes 11552 (11.2 KiB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

virbr0: flags=4099<UP,BROADCAST,MULTICAST>  mtu 1500
        inet 192.168.122.1  netmask 255.255.255.0  broadcast 192.168.122.255
        ether 52:54:00:01:5c:5f  txqueuelen 1000  (Ethernet)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

Thus, a virtual bridge is present now which did not exist before. Furthermore, 'dmesg' exhibits some new trailing lines, namely:

[ .. ] tun: Universal TUN/TAP device driver, 1.6
[ .. ] tun: (C) 1999-2004 Max Krasnyansky <maxk qualcomm com>
[ .. ] virbr0: port 1(virbr0-nic) entered blocking state
[ .. ] virbr0: port 1(virbr0-nic) entered disabled state
[ .. ] device virbr0-nic entered promiscuous mode
[ .. ] virbr0: port 1(virbr0-nic) entered blocking state
[ .. ] virbr0: port 1(virbr0-nic) entered listening state
[ .. ] virbr0: port 1(virbr0-nic) entered disabled state

Version-Release number of selected component (if applicable):
gnome-boxes-3.22.4-1.fc25

How reproducible:
Always.

Steps to Reproduce:
1. Install Fedora 25 in a virtual machine using live image F25-WORK-x86_64-20170202.
2. Update installed virtual machine.

Actual results:
While it is possible to retrieve pending updates over the network after booting up the new virtual machine, name resolution is broken after rebooting the updated virtual machine.

Expected results:
Name resolution is working just like in the live session.

Additional info:
None

Comment 1 Joachim Frieben 2017-02-09 12:25:35 UTC
Looking at the output of 'ifconfig' in a current Fedora 24 virtual machine,

ens3: flags=4163<UP,BROADCAST,RUNNING,MULTICAST>  mtu 1500
        inet 192.168.122.161  netmask 255.255.255.0  broadcast 192.168.122.255
        inet6 fe80::28d9:ec3:68f3:8791  prefixlen 64  scopeid 0x20<link>
        ether 52:54:00:48:0b:2a  txqueuelen 1000  (Ethernet)
        RX packets 26834  bytes 22875114 (21.8 MiB)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 20369  bytes 2690889 (2.5 MiB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 100426

lo: flags=73<UP,LOOPBACK,RUNNING>  mtu 65536
        inet 127.0.0.1  netmask 255.0.0.0
        inet6 ::1  prefixlen 128  scopeid 0x10<host>
        loop  txqueuelen 1  (Local Loopback)
        RX packets 24  bytes 1824 (1.7 KiB)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 24  bytes 1824 (1.7 KiB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

virbr0: flags=4099<UP,BROADCAST,MULTICAST>  mtu 1500
        inet 192.168.124.1  netmask 255.255.255.0  broadcast 192.168.124.255
        ether 00:00:00:00:00:00  txqueuelen 1000  (Ethernet)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

Note that the three leading bytes of the IPs of devices 'ens3' (192.168.122.x) and 'virbr0' (192.168.124.x) are different here, whereas under Fedora 25, they are identical (192.168.122.x). In a virtual machine running current Fedora 24, network connectivity is working correctly.

Comment 2 Joachim Frieben 2017-02-10 15:24:30 UTC
After installing Fedora 25 on a virtual guest using the official live image Fedora-Workstation-Live-x86_64-25-1.3, the installed and updated systems still exibits working name resolution. Two differences compared to the earlier installation using F25-WORK-x86_64-20170202 appear related:

(1) The output of 'ifconfig' in the current Fedora 25 virtual machine becomes

ens3: flags=4163<UP,BROADCAST,RUNNING,MULTICAST>  mtu 1500
        inet 192.168.122.154  netmask 255.255.255.0  broadcast 192.168.122.255
        inet6 fe80::a8be:85f0:ff64:e903  prefixlen 64  scopeid 0x20<link>
        ether 52:54:00:42:86:27  txqueuelen 1000  (Ethernet)
        RX packets 82  bytes 10957 (10.7 KiB)
        RX errors 0  dropped 13  overruns 0  frame 0
        TX packets 105  bytes 10485 (10.2 KiB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

lo: flags=73<UP,LOOPBACK,RUNNING>  mtu 65536
        inet 127.0.0.1  netmask 255.0.0.0
        inet6 ::1  prefixlen 128  scopeid 0x10<host>
        loop  txqueuelen 1  (Local Loopback)
        RX packets 24  bytes 1824 (1.7 KiB)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 24  bytes 1824 (1.7 KiB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

virbr0: flags=4099<UP,BROADCAST,MULTICAST>  mtu 1500
        inet 192.168.124.1  netmask 255.255.255.0  broadcast 192.168.124.255
        ether 52:54:00:45:90:38  txqueuelen 1000  (Ethernet)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

which is equivalent to the situation under Fedora 24.

(2) The network device using live image Fedora-Workstation-Live-x86_64-25-1.3 becomes

  Ethernet controller: Red Hat, Inc Virtio network device

whereas using live image F25-WORK-x86_64-20170202, it was 

  Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8100/8101L/8139 PCI Fast Ethernet Adapter (rev 20)

Comment 3 Joachim Frieben 2017-02-11 14:53:29 UTC
For the latest live image F25-WORK-x86_64-20170210, things have gotten normal again. After installing Fedora 25 on a virtual machine using the latter and rebooting the system, 'ifconfig' returns:

ens3: flags=4163<UP,BROADCAST,RUNNING,MULTICAST>  mtu 1500
        inet 192.168.122.8  netmask 255.255.255.0  broadcast 192.168.122.255
        inet6 fe80::6c96:cdd6:38b6:b8ce  prefixlen 64  scopeid 0x20<link>
        ether 52:54:00:b3:dc:e3  txqueuelen 1000  (Ethernet)
        RX packets 47  bytes 5764 (5.6 KiB)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 78  bytes 8635 (8.4 KiB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 271

lo: flags=73<UP,LOOPBACK,RUNNING>  mtu 65536
        inet 127.0.0.1  netmask 255.0.0.0
        inet6 ::1  prefixlen 128  scopeid 0x10<host>
        loop  txqueuelen 1  (Local Loopback)
        RX packets 32  bytes 2352 (2.2 KiB)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 32  bytes 2352 (2.2 KiB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

virbr0: flags=4099<UP,BROADCAST,MULTICAST>  mtu 1500
        inet 192.168.124.1  netmask 255.255.255.0  broadcast 192.168.124.255
        ether 52:54:00:90:49:ce  txqueuelen 1000  (Ethernet)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0


Note You need to log in before you can comment on or make changes to this bug.